
<?php

function setcode($sc)
{



// normale URLs
$sc = preg_replace("=(^|\ |\n|<br>)(http:\/\/|http:\/\/www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})=i",
"\\1<a href=\"\\2\\3\" target=\"_blank\">\\2\\3</a>",$sc);

// normale URLs
$sc = preg_replace ("=(^|\ |\n|<br>)(www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})=i" ,
"\\1<a href=\"http://\\2\\3\" target=\"_blank\">\\2\\3</a> " ,$sc );


// versteckt neues fenster
$sc = preg_replace ("=(^|\ |\n|<br>)\[url\=(http:\/\/|http:\/\/www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})\]([a-zA-Z0-9\:\.\/\-\_\^\&auml;\ ]{1,})\[/url\]=i" ,
"\\1<a href=\"\\2\\3\" target=\"_blank\">\\4</a> " ,$sc );

// versteckt gleiches fenster
$sc = preg_replace ("=(^|\ |\n|<br>)\[link\=(http:\/\/|http:\/\/www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})\]([a-zA-Z0-9\:\.\/\-\_\^\ ]{1,})\[/link\]=i" ,
"\\1<a href=\"\\2\\3\" target=\"_self\">\\4</a> " ,$sc );
 
// versteckt neues Fenster nur www.
$sc = preg_replace ("=(^|\ |\n|<br>)\[url\=(|www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})\]([[a-zA-Z0-9\:\.\/\-\_\^\ ]{1,})\[/url\]=i" ,
"\\1<a href=\"http://\\2\\3\" target=\"_blank\">\\4</a> " ,$sc );

// versteckt gleiches Fenster nur www.
$sc = preg_replace ("=(^|\ |\n|<br>)\[link\=(|www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})\]([[a-zA-Z0-9\:\.\/\-\_\^\ ]{1,})\[/link\]=i" ,
"\\1<a href=\"http://\\2\\3\" target=\"_self\">\\4</a> " ,$sc ); 

// eMails
$sc = preg_replace ("=(^|\ |\n|<br>)([a-zA-Z0-9\.\/\-\_]{1,})@([a-zA-Z0-9\.\/\-\_]{1,})=i" ,
"\\1<a href=\"mailto:\\2@\\3\">\\2@\\3</a> " ,$sc );

$sc = str_replace("\n","<br>",$sc);

$sc = str_replace("[small]","<small>",$sc);
$sc = str_replace("[/small]","</small>",$sc);

$sc = str_replace("[tt]","<tt>",$sc);
$sc = str_replace("[/tt]","</tt>",$sc);

$sc =eregi_replace ("\[i\]" ,"<i>" ,$sc ); 
$sc =eregi_replace ("\[\/i\]" ,"</i>" ,$sc ); 

$sc =eregi_replace ("\[u\]" ,"<u>" ,$sc ); 
$sc =eregi_replace ("\[\/u\]" ,"</u>" ,$sc ); 

$sc =eregi_replace ("\n" ,"<br>" ,$sc ); 

$sc =eregi_replace ("\[b\]" ,"<b>" ,$sc ); 
$sc =eregi_replace ("\[\/b\]" ,"</b>" ,$sc ); 

$sc =eregi_replace ("\[p\]" ,"<p>" ,$sc ); 
$sc =eregi_replace ("\[\/p\]" ,"</p>" ,$sc ); 

$sc =eregi_replace ("\[center\]" ,"<center>" ,$sc ); 
$sc =eregi_replace ("\[\/center\]" ,"</center>" ,$sc );

$sc =eregi_replace ("\[q\]" ,"<blockquote>" ,$sc ); 
$sc =eregi_replace ("\[\/q\]" ,"</blockquote>" ,$sc ); 

$sc =eregi_replace ("\[list\]" ,"<ul>" ,$sc ); 
$sc =eregi_replace ("\[\/list\]" ,"</ul>" ,$sc ); 
$sc =eregi_replace ("\[numlist\]" ,"<ol>" ,$sc ); 
$sc =eregi_replace ("\[\/numlist\]" ,"</ol>" ,$sc ); 
$sc =eregi_replace ("\[-\]" ,"<li>" ,$sc ); 


$sc =eregi_replace ("\[c\]" ,"<span class=\"code\"><code>" ,$sc ); 
$sc =eregi_replace ("\[/c\]" ,"</code></span>" ,$sc ); 
$sc =eregi_replace ("\[code\]" ,"<span class=\"code\"><code>" ,$sc ); 
$sc =eregi_replace ("\[/code\]" ,"</code></span>" ,$sc ); 

return($sc);
}


function getcode($gc)
{

$gc = str_replace("<center>","[center]",$gc);
$gc = str_replace("</center>","[/center]",$gc);				
$gc = str_replace("<small>","[small]",$gc);
$gc = str_replace("</small>","[/small]",$gc);				
$gc = str_replace("<br>","\n",$gc);
$gc = str_replace("<b>","[b]",$gc);
$gc = str_replace("</b>","[/b]",$gc);
$gc = str_replace("<i>","[i]",$gc);
$gc = str_replace("</i>","[/i]",$gc);
$gc = str_replace("<tt>","[tt]",$gc);
$gc = str_replace("</tt>","[/tt]",$gc);
$gc = str_replace("<p>","[p]",$gc);
$gc = str_replace("</p>","[/p]",$gc); 

// versteckte URLs zurckwandeln
$pattern='#(^|\ |\n)(<a href=\")(http:\/\/|http:\/\/www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})(\" target=\"_blank\">)([a-zA-Z0-9\:\.\/\-\_\^\ ]{1,})(</a>)#sm';
$gc = preg_replace("$pattern","\\1[url=\\3\\4]\\6[/url]",$gc);

// versteckte Links zurckwandeln
$pattern='#(^|\ |\n)(<a href=\")(http:\/\/|http:\/\/www\.)([a-zA-Z0-9\.\/\-\_\?\&amp;\=]{1,})(\" target=\"_self\">)([a-zA-Z0-9\:\.\/\-\_\^\ ]{1,})(</a>)#sm';
$gc = preg_replace("$pattern","\\1[link=\\3\\4]\\6[/link]",$gc);


$entities = get_html_translation_table (HTML_ENTITIES);
$entities = array_flip($entities);
$gc = strtr ($gc,$entities);
$gc = strip_tags($gc);
$gc = htmlspecialchars($gc);


$gc =eregi_replace ("<blockquote>" ,"\[q\]" ,$gc );
$gc =eregi_replace ("</blockquote>" ,"\[\/q\]" ,$gc );

$gc =eregi_replace ("<ul>","\[list\]" ,$gc ); 
$gc =eregi_replace ("</ul>" ,"\[\/list\]" ,$gc ); 
$gc =eregi_replace ("<ol>" ,"\[numlist\]" ,$gc ); 
$gc =eregi_replace ("</ol>" ,"\[\/numlist\]" ,$gc ); 
$gc =eregi_replace ("<li>" ,"\[-\]" ,$gc ); 


$gc =eregi_replace ("<span class=\"code\"><code>" ,"\[c\]" ,$gc ); 
$gc =eregi_replace ("</code></span>" ,"\[/c\]" ,$gc ); 
$gc =eregi_replace ("<span class=\"code\"><code>" ,"\[code\]" ,$gc ); 
$gc =eregi_replace ("</code></span>" ,"\[/code\]" ,$gc ); 

return($gc);
}


function setimage($si)
{
$path = "path";

// BILD-TAG WIRD FORMATIERT
$si = str_replace("[bild]","<img src=\"$$path/images/",$si);
$si = str_replace("[/bild]","\" border=\"0\">",$si);
$si = str_replace("[/bildlinks]","\" border=\"0\" align=\"left\">",$si);
$si = str_replace("[/bildrechts]","\" border=\"0\" align=\"right\">",$si);
$si = str_replace("[/bildoben]","\" border=\"0\" align=\"top\">",$si);
$si = str_replace("[/bildunten]","\" border=\"0\" align=\"bottom\">",$si);
return($si);
}


function getimage($gi)
{
$pattern='#(<img src=\")([a-zA-Z0-9\/\-\_]{1,})([\/]{1,})([a-zA-Z0-9\-\_]{1,})([.jpg|.gif|.jpeg|.png]{1,})(\" border=\"0\" align=\"top\">)#sm';
$gi = preg_replace("$pattern","[bild]\\4\\5[/bildoben]",$gi);

$pattern='#(<img src=\")([a-zA-Z0-9\/\-\_]{1,})([\/]{1,})([a-zA-Z0-9\-\_]{1,})([.jpg|.gif|.jpeg|.png]{1,})(\" border=\"0\" align=\"bottom\">)#sm';
$gi = preg_replace("$pattern","[bild]\\4\\5[/bildunten]",$gi);

$pattern='#(<img src=\")([a-zA-Z0-9\/\-\_]{1,})([\/]{1,})([a-zA-Z0-9\-\_]{1,})([.jpg|.gif|.jpeg|.png]{1,})(\" border=\"0\" align=\"left\">)#sm';
$gi = preg_replace("$pattern","[bild]\\4\\5[/bildlinks]",$gi);

$pattern='#(<img src=\")([a-zA-Z0-9\/\-\_]{1,})([\/]{1,})([a-zA-Z0-9\-\_]{1,})([.jpg|.gif|.jpeg|.png]{1,})(\" border=\"0\" align=\"right\">)#sm';
$gi = preg_replace("$pattern","[bild]\\4\\5[/bildrechts]",$gi);

$pattern='#(<img src=\")([a-zA-Z0-9\/\-\_]{1,})([\/]{1,})([a-zA-Z0-9\-\_]{1,})([.jpg|.gif|.jpeg|.png]{1,})(\" border=\"0\">)#sm';
$gi = preg_replace("$pattern","[bild]\\4\\5[/bild]",$gi);


return($gi);
}



function deldir($dir_to_delete)
{ 
$current_dir = opendir($dir_to_delete);
while($entryname = readdir($current_dir)){ 
if(is_dir("$dir_to_delete/$entryname") and ($entryname != "." and $entryname!="..")){ 
deldir("${dir_to_delete}/${entryname}"); 
}elseif($entryname != "." and $entryname!="..")
{ 
unlink("${dir_to_delete}/${entryname}"); 
} 
} 

closedir($current_dir); 
rmdir($dir_to_delete);
}

?>
